Loupedeck Software - Download

Before you connect your Loupedeck, Loupedeck+, Loupedeck Live or Loupedeck CT you must download and install the Loupedeck software.

Loupedeck Software 5.2.2 does not support Loupedeck+/Original

For Loupedeck+/Loupedeck Original users, please download Loupedeck software 5.1

Note that 5.2.2 will only work with OBS Studio 28 or later

 

Download Loupedeck 5.2.2 for MacOS

 

windows

Download Loupedeck 5.2.2 for Windows OS (64-bit)

 

 

Previous Loupedeck software versions for MacOS

 

5.2.1 Download here  - Recommended if you are using OBS v.27 or earlier

5.2. Download here  - Not recommended for Loupedeck+/original users

5.1 Download here

5.0.3 Download here

5.0.1 Download here

4.3.3 Download here

4.3.2 Download here

Previous Loupedeck software versions for Windows OS

 

5.2.1 Download here  - Recommended if you are using OBS v.27 or earlier

 5.2. Download here - Not recommended for Loupedeck+/original users


5.1 Download here

5.0.3. Download here

5.0.1 Download here

4.3.3 Download here

4.3.2 Download here

Previous MacOS version to use with Lightroom 6
2.6 Download here (supports Loupedeck & Loupedeck+)

Previous Windows OS version to use with Lightroom 6
2.6 Download here (supports Loupedeck & Loupedeck+)